using System;
using System.Collections.Generic;
using System.Text;

namespace Azbest
{
    public class DrawableSquareComparer
    {
        public bool Equals(IDrawableSquare x, IDrawableSquare y)
        {
            List<int> xSides = new List<int>(4);
            List<int> ySides = new List<int>(4);
            xSides.Add(x.LeftColor);
            xSides.Add(x.TopColor);
            xSides.Add(x.RightColor);            
            xSides.Add(x.BottomColor);

            ySides.Add(y.LeftColor);
            ySides.Add(y.TopColor);
            ySides.Add(y.RightColor);
            ySides.Add(y.BottomColor);

            
            for (int moved = 0; moved < 4; ++moved)
            {
                bool isSame = true;
                xSides.Add(xSides[0]);
                xSides.RemoveAt(0);
                for (int i = 0; i < 4; ++i)
                {
                    if (xSides[i] != ySides[i])
                    {
                        isSame = false;
                        break;
                    }
                }
                if (isSame) return true;
            }
            return false;            
        }
    }
}
